import { SvelteComponentTyped } from "svelte";

declare module 'svelte-grid-responsive/stores.js';

declare module 'svelte-grid-responsive' {
	type GridSizeType = number | null;
	
	interface GridProps {
		container: boolean;
		columns: number;
		gutter: GridSizeType;
		order: number | null;
		xs: GridSizeType;
		sm: GridSizeType;
		md: GridSizeType;
		lg: GridSizeType;
		xl: GridSizeType;
		xsOffset: GridSizeType;
		smOffset: GridSizeType;
		mdOffset: GridSizeType;
		lgOffset: GridSizeType;
		xlOffset: GridSizeType;
	}

	class Grid extends SvelteComponentTyped<
		GridProps,
		{  },
		{  }
	> {}

	export default Grid;
}

